<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->

<div>

  <div class="modal-header">
    <h4
      class="modal-title"
      id="modal-basic-title"
      [innerText]="messages.CREATE_ABSENCE_BUTTON_TITLE">
    </h4>

    <button
      type="button"
      class="btn-close"
      [title]="commonMessages.CLOSE"
      (click)="activeModal.dismiss(commonMessages.ACTION_RESULT_CANCEL)">
    </button>
  </div>

  <div class="modal-body">
    <app-absence-management
      [tenantId]="tenantId"
      [desk]="desk"
      [forbiddenDateRanges]="currentScheduledAbsences"
      #absenceManagementComponent>
    </app-absence-management>
  </div>

  <div class="modal-footer">
    <button
      ls-button-cancel
      (click)="activeModal.close(commonMessages.ACTION_RESULT_CANCEL)">
    </button>
    <button
      ls-button-save
      (click)="validate()"
      [processing]="isProcessing"
      [disabled]="!isValid()">
    </button>
  </div>

</div>
